<?php
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) {
    die();
}

use \Bitrix\Main\Localization\Loc;

Loc::loadMessages(__FILE__);

if ($arResult['AUTHORIZED']) {
    LocalRedirect('/personal/');
    exit;
}
?>

<div class="user_forms">
    <div class="user_forms_mess">
        Если вы у нас впервые: просто оформите первый заказ и регистрация произойдет автоматически.
    </div>
    <? if ($arResult['ERRORS']): ?>
        <div class="user_forms_alert">
            <? foreach ($arResult['ERRORS'] as $error) {
                echo $error;
            }
            ?>
        </div>
    <? endif; ?>

    <form name="<?= $arResult['FORM_ID']; ?>" method="post" target="_top" action="<?= POST_FORM_ACTION_URI; ?>">

        <div class="user_forms_item">
            <label>E-mail</label>
            <input type="text" name="<?= $arResult['FIELDS']['login']; ?>" maxlength="255"
                   value="<?= \htmlspecialcharsbx($arResult['LAST_LOGIN']); ?>"/>
        </div>
        <div class="user_forms_item">
            <label><?= Loc::getMessage('MAIN_AUTH_FORM_FIELD_PASS'); ?></label>
            <input type="password" name="<?= $arResult['FIELDS']['password']; ?>" maxlength="255" autocomplete="off"/>
        </div>

        <? if ($arResult['CAPTCHA_CODE']): ?>
            <input type="hidden" name="captcha_sid" value="<?= \htmlspecialcharsbx($arResult['CAPTCHA_CODE']); ?>"/>
            <div class="bx-authform-formgroup-container dbg_captha">
                <div class="bx-authform-label-container">
                    <?= Loc::getMessage('MAIN_AUTH_FORM_FIELD_CAPTCHA'); ?>
                </div>
                <div class="bx-captcha"><img
                            src="/bitrix/tools/captcha.php?captcha_sid=<?= \htmlspecialcharsbx($arResult['CAPTCHA_CODE']); ?>"
                            width="180" height="40" alt="CAPTCHA"/></div>
                <div class="bx-authform-input-container">
                    <input type="text" name="captcha_word" maxlength="50" value="" autocomplete="off"/>
                </div>
            </div>
        <? endif; ?>

        <? if ($arResult['STORE_PASSWORD'] == 'Y'): ?>
            <div class="user_forms_store">
                <label class="bx-filter-param-label">
                    <input type="checkbox" id="USER_REMEMBER" name="<?= $arResult['FIELDS']['remember']; ?>" value="Y"/>
                    <span class="bx-filter-param-text"><?= Loc::getMessage('MAIN_AUTH_FORM_FIELD_REMEMBER'); ?></span>
                </label>
            </div>
        <? endif ?>

        <div class="user_forms_submit">
            <input type="submit" class="btn btn2" name="<?= $arResult['FIELDS']['action']; ?>"
                   value="<?= Loc::getMessage('MAIN_AUTH_FORM_FIELD_SUBMIT'); ?>"/>
            <a href="<?= $arResult['AUTH_FORGOT_PASSWORD_URL']; ?>" rel="nofollow">
                <?= Loc::getMessage('MAIN_AUTH_FORM_URL_FORGOT_PASSWORD'); ?>
            </a>
        </div>
    </form>
</div>

<script type="text/javascript">
    <?if ($arResult['LAST_LOGIN'] != ''):?>
    try {
        document.<?= $arResult['FORM_ID'];?>.USER_PASSWORD.focus();
    } catch (e) {
    }
    <?else:?>
    try {
        document.<?= $arResult['FORM_ID'];?>.USER_LOGIN.focus();
    } catch (e) {
    }
    <?endif?>
</script>